## org.apache.poi.ss.usermodel
Interface Picture

All Known Implementing Classes:
  HSSFPicture, XSSFPicture

    public interface Picture

Repersents a picture in a SpreadsheetML document

Author:
  Yegor Kozlov

Method Summary
`PictureData` `getPictureData()` Return picture data for this picture
`ClientAnchor` `getPreferredSize()`
`void` `resize()` Reset the image to the original size.
`void` `resize(double scale)` Reset the image to the original size.

Method Detail

### resize

    void resize()

  Reset the image to the original size.

  Please note, that this method works correctly only for workbooks with default font size (Arial 10pt for .xls and Calibri 11pt for .xlsx). If the default font is changed the resized image can be streched vertically or horizontally.

### resize

    void resize(double scale)

  Reset the image to the original size.

  Please note, that this method works correctly only for workbooks with default font size (Arial 10pt for .xls and Calibri 11pt for .xlsx). If the default font is changed the resize() procedure can be 'off'.

  Parameters:
    `scale` - the amount by which image dimensions are multiplied relative to the original size. `resize(1.0)` sets the original size, `resize(0.5)` resize to 50% of the original, `resize(2.0)` resizes to 200% of the original.

### getPreferredSize

    ClientAnchor getPreferredSize()

### getPictureData

    PictureData getPictureData()

  Return picture data for this picture

  Returns:
    picture data for this picture

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.